#
#  FILE NAME:
#      cell.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# Standard library imports:
import logging


_LOG = logging.getLogger( "p3.data" )


class Cell(object):
    def __init__( self, column, row=None, value=None ):
        assert self.is_column_like( column )

        self._col = column
        self._row = row
        self._val = value


    # ===[ Column Operations ]=================================================================== #

    ## Verify that the col object provides a necessary interface to allow its use as a column
    #  object.
    @classmethod
    def is_column_like( cls, col ):
        return hasattr( col, "default" )

    # ===[ Properties ]========================================================================== #

    def col():
        def fget( self ):
            return self._col
        def fset( self, col ):
            self._col = col
        return locals()
    col = property( **col() )


    def row():
        def fget( self ):
            return self._row
        def fset( self, row ):
            self._row = row
        return locals()
    row = property( **row() )


    def value():
        def fget( self ):
            return self._val
        def fset( self, val ):
            self._val = val
        return locals()
    value = property( **value() )
