#
#  FILE NAME:
#      error.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports
from p3.base import Enum, GenericException


class DataModuleError( GenericException ):
    codes = Enum( "column_not_found", "duplicate_column_name", "invalid_column_index",
                  "invalid_column_spec",
                  "unknown_column_name", "row_not_found", "row_not_unique", "multiple_rows_found" )

    def __init__( self, code=None, msg=None ):
        super( DataModuleError, self ).__init__( "data", code, msg )
