#
#  FILE NAME:
#      __init__.py
#
#  PURPOSE:
#      Row constructionn consists of two stages. At the first stage, an object of a constructor
#      class is initialized with all necessary row's data. At the second stage, a Table
#      instance calls constructor's Create method to actually create a Row object.
#      This solution is chosen to allow greater construction flexibility as well as to provide
#      more elegant (it's probably a matter of taste) row construction interface.
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

from p3.data.row_constructors.default_row_constructor import DefaultRowConstructor
from p3.data.row_constructors.mixed_row_constructor  import MixedRowConstructor
from p3.data.row_constructors.named_row_constructor import NamedRowConstructor
from p3.data.row_constructors.ordered_row_constructor import OrderedRowConstructor
