#
#  FILE NAME:
#      dbms.py
#
#  PURPOSE:
#      Define identifiers of supported database management systems.
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports:
from p3.base import Enum, safe_fmt
from p3.db.error import DbModuleError


DBMS = Enum( "mysql", "pgsql" )


def get_dbms_id_by_name( name ):
    if name in DBMS:
        return DBMS[name]
    else:
        raise DbModuleError( DbModuleError.codes.invalid_dbms_name,
                             safe_fmt( "Invalid DBMS name: '%s'.", name ) )
