#
#  FILE NAME:
#      error.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports
from p3.base import Enum, GenericException


class DbModuleError( GenericException ):
    codes = Enum( "dbms_not_supported", "invalid_dbms_name", "invalid_db_setting",
                  "cursor_not_used", "mandatory_arg_not_specified", "shell_execution_error" )

    def __init__( self, code=None, msg=None ):
        super( DbModuleError, self ).__init__( "db", code, msg )
